Loading...
Searching...
No Matches
Exiv2::Internal::OMSystemMnHeader Class Reference

Header of an OM Digital Solutions (ex Olympus) Makernote. More...

`#include <makernote_int.hpp>`

Inheritance diagram for Exiv2::Internal::OMSystemMnHeader:
[legend]

## Public Member Functions

Creators
| OMSystemMnHeader ()
| Default constructor.
Manipulators
bool | read (const byte *pData, size_t size, ByteOrder byteOrder) override
| Read the header from a data buffer, return true if ok.
Public Member Functions inherited from Exiv2::Internal::MnHeader
virtual | ~MnHeader ()=default
| Virtual destructor.
virtual void | setByteOrder (ByteOrder byteOrder)
| Set the byte order for the makernote.
virtual ByteOrder | byteOrder () const
| Return the byte order for the makernote. If the return value is invalidByteOrder, this means that the byte order of the the image should be used for the makernote.

## Accessors

size_t | size () const override
| Return the size of the header (in bytes).
size_t | write (IoWrapper &ioWrapper, ByteOrder byteOrder) const override
| Write the header to a data buffer, return the number of bytes written.
size_t | ifdOffset () const override
| Return the offset to the start of the Makernote IFD from the start of the Makernote (= the start of the header).
size_t | baseOffset (size_t mnOffset) const override
| Return the base offset for the makernote IFD entries relative to the start of the TIFF header. mnOffset is the offset to the makernote from the start of the TIFF header.
static size_t | sizeOfSignature ()
| Return the size of the makernote header signature.

## Detailed Description

Header of an OM Digital Solutions (ex Olympus) Makernote.

## Member Function Documentation

## baseOffset()

size_t Exiv2::Internal::OMSystemMnHeader::baseOffset | ( | size_t | mnOffset | ) | const

override virtual

Return the base offset for the makernote IFD entries relative to the start of the TIFF header. mnOffset is the offset to the makernote from the start of the TIFF header.

Reimplemented from Exiv2::Internal::MnHeader.

## ifdOffset()

size_t Exiv2::Internal::OMSystemMnHeader::ifdOffset | ( |  | ) | const

override virtual

Return the offset to the start of the Makernote IFD from the start of the Makernote (= the start of the header).

Reimplemented from Exiv2::Internal::MnHeader.

References sizeOfSignature().

## read()

bool Exiv2::Internal::OMSystemMnHeader::read | ( | const byte * | pData,
|  | size_t | size,
|  | ByteOrder | byteOrder
| ) |  |

override virtual

Read the header from a data buffer, return true if ok.

Implements Exiv2::Internal::MnHeader.

References Exiv2::DataBuf::alloc(), Exiv2::DataBuf::cmpBytes(), Exiv2::DataBuf::data(), size(), and sizeOfSignature().

Referenced by OMSystemMnHeader().

## size()

size_t Exiv2::Internal::OMSystemMnHeader::size | ( |  | ) | const

override virtual

Return the size of the header (in bytes).

Implements Exiv2::Internal::MnHeader.

Referenced by read().

## write()

size_t Exiv2::Internal::OMSystemMnHeader::write | ( | IoWrapper & | ioWrapper,
|  | ByteOrder | byteOrder
| ) |  | const

override virtual

Write the header to a data buffer, return the number of bytes written.

Implements Exiv2::Internal::MnHeader.

References sizeOfSignature(), and Exiv2::Internal::IoWrapper::write().

The documentation for this class was generated from the following files:

- makernote_int.hpp
- makernote_int.cpp